> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Deductions

> List all company-wide deductions and contributions.

**Availability: Automated providers only**

Employer Match capabilities are currently in Beta. Please reach out if you are interested in gaining early access.

This is a live request to the provider. Latencies may vary from seconds to minutes depending on the provider and number of items.


## OpenAPI

````yaml get /employer/benefits
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Management
  - name: Sandbox
paths:
  /employer/benefits:
    get:
      tags:
        - Deductions
      summary: Get All Deductions
      description: List all company-wide deductions and contributions.
      operationId: get-company-benefits
      parameters:
        - name: entity_ids
          in: query
          required: false
          description: The entity IDs to specify which entities' data to access.
          schema:
            type: array
            items:
              type: string
              format: uuid
            minItems: 1
            maxItems: 1
            example:
              - 550e8400-e29b-41d4-a716-446655440000
          style: form
          explode: true
        - $ref: '#/components/parameters/API-Version'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCompanyBenefitsResponse'
              examples:
                Success:
                  value:
                    - benefit_id: e8b90071-0c11-471c-86e8-e303ef2f6782
                      type: 401k
                      description: Example 401k
                      frequency: every_paycheck
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Finch from '@tryfinch/finch-api';

            const client = new Finch({
              accessToken: 'My Access Token',
            });

            // Automatically fetches more pages as needed.
            for await (const companyBenefit of client.hris.benefits.list()) {
              console.log(companyBenefit.benefit_id);
            }
        - lang: Python
          source: |-
            from finch import Finch

            client = Finch(
                access_token="My Access Token",
            )
            page = client.hris.benefits.list()
            page = page.items[0]
            print(page.benefit_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/Finch-API/finch-api-go\"\n\t\"github.com/Finch-API/finch-api-go/option\"\n)\n\nfunc main() {\n\tclient := finchgo.NewClient(\n\t\toption.WithAccessToken(\"My Access Token\"),\n\t)\n\tpage, err := client.HRIS.Benefits.List(context.TODO(), finchgo.HRISBenefitListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package com.tryfinch.api.example;

            import com.tryfinch.api.client.FinchClient;
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
            import com.tryfinch.api.models.HrisBenefitListPage;
            import com.tryfinch.api.models.HrisBenefitListParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    FinchClient client = FinchOkHttpClient.builder()
                        .fromEnv()
                        .accessToken("My Access Token")
                        .build();

                    HrisBenefitListPage page = client.hris().benefits().list();
                }
            }
        - lang: Kotlin
          source: |-
            package com.tryfinch.api.example

            import com.tryfinch.api.client.FinchClient
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient
            import com.tryfinch.api.models.HrisBenefitListPage
            import com.tryfinch.api.models.HrisBenefitListParams

            fun main() {
                val client: FinchClient = FinchOkHttpClient.builder()
                    .fromEnv()
                    .accessToken("My Access Token")
                    .build()

                val page: HrisBenefitListPage = client.hris().benefits().list()
            }
        - lang: Ruby
          source: |-
            require "finch_api"

            finch = FinchAPI::Client.new(access_token: "My Access Token")

            page = finch.hris.benefits.list

            puts(page)
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
  schemas:
    GetCompanyBenefitsResponse:
      type: array
      items:
        $ref: '#/components/schemas/CompanyBenefit'
      description: Array of company benefits.
    CompanyBenefit:
      type: object
      properties:
        benefit_id:
          type: string
          format: uuid
          description: The id of the benefit.
        type:
          $ref: '#/components/schemas/BenefitType'
        description:
          type: string
          nullable: true
        frequency:
          $ref: '#/components/schemas/BenefitFrequency'
        company_contribution:
          $ref: '#/components/schemas/BenefitCompanyMatchContribution'
      required:
        - benefit_id
        - type
        - description
        - frequency
      title: CompanyBenefit
    BenefitType:
      type: string
      nullable: true
      enum:
        - '457'
        - 401k
        - 401k_roth
        - 401k_loan
        - 403b
        - 403b_roth
        - 457_roth
        - commuter
        - custom_post_tax
        - custom_pre_tax
        - fsa_dependent_care
        - fsa_medical
        - hsa_post
        - hsa_pre
        - s125_dental
        - s125_medical
        - s125_vision
        - simple
        - simple_ira
        - null
      description: Type of benefit.
      title: BenefitType
      x-tags:
        - Models
    BenefitFrequency:
      type: string
      nullable: true
      enum:
        - every_paycheck
        - monthly
        - one_time
        - null
      description: The frequency of the benefit deduction/contribution.
      title: BenefitFrequency
      x-tags:
        - Models
    BenefitCompanyMatchContribution:
      type: object
      nullable: true
      properties:
        type:
          type: string
          enum:
            - match
        tiers:
          type: array
          items:
            type: object
            properties:
              match:
                type: integer
                minimum: 1
                maximum: 10000
              threshold:
                type: integer
                minimum: 1
                maximum: 10000
            required:
              - match
              - threshold
          minItems: 1
          maxItems: 3
      required:
        - type
        - tiers
      description: The company match for this benefit.
      title: BenefitCompanyMatchContribution
      x-tags:
        - Models
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````